"""Init/Shutdown script text and comment

Revision ID: bbedeabf94c7
Revises: 350a31cb0769
Create Date: 2019-11-20 12:14:34.182278+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'bbedeabf94c7'
down_revision = '350a31cb0769'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('tasks_initshutdown', schema=None) as batch_op:
        batch_op.add_column(sa.Column('ini_script_text', sa.TEXT(), nullable=True))
        batch_op.add_column(sa.Column('ini_comment', sa.VARCHAR(length=255), nullable=True))

    op.execute("UPDATE tasks_initshutdown SET ini_script_text = '', ini_comment = ''")

    with op.batch_alter_table('tasks_initshutdown', schema=None) as batch_op:
        batch_op.alter_column('ini_script_text',
               existing_type=sa.TEXT(),
               nullable=False)
        batch_op.alter_column('ini_comment',
               existing_type=sa.VARCHAR(255),
               nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('tasks_initshutdown', schema=None) as batch_op:
        batch_op.drop_column('ini_comment')
        batch_op.drop_column('ini_script_text')

    # ### end Alembic commands ###
