"""Add next_rid column to services_cifs

Revision ID: 5a365c7248da
Revises: 85346ccd33c0
Create Date: 2020-06-01 16:18:06.005627+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5a365c7248da'
down_revision = '85346ccd33c0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('services_cifs', schema=None) as batch_op:
        batch_op.add_column(sa.Column('cifs_srv_next_rid', sa.Integer(), nullable=True))

    op.execute('UPDATE services_cifs SET cifs_srv_next_rid=0')

    with op.batch_alter_table('services_cifs', schema=None) as batch_op:
        batch_op.alter_column('cifs_srv_next_rid', nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('services_cifs', schema=None) as batch_op:
        batch_op.drop_column('cifs_srv_next_rid')

    # ### end Alembic commands ###
