"""Enable Outbound Network Activities

Revision ID: 6dfba265232e
Revises: 7c9a051a3f47
Create Date: 2020-07-16 09:41:58.110396+00:00

"""
from alembic import op
import json
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6dfba265232e'
down_revision = '7c9a051a3f47'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('network_globalconfiguration', schema=None) as batch_op:
        batch_op.add_column(sa.Column('gc_activity', sa.TEXT(), nullable=True))

    op.execute("UPDATE network_globalconfiguration SET gc_activity = '{\"type\": \"DENY\", \"activities\": []}'")

    with op.batch_alter_table('network_globalconfiguration', schema=None) as batch_op:
        batch_op.alter_column('gc_activity',
               existing_type=sa.TEXT(),
               nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('network_globalconfiguration', schema=None) as batch_op:
        batch_op.drop_column('gc_activity')

    # ### end Alembic commands ###
