""" Add columns for multichannel support

Revision ID: 1857e74d5f11
Revises: 27f2004e7e53
Create Date: 2021-07-20 15:49:54.447479+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1857e74d5f11'
down_revision = '27f2004e7e53'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('services_cifs', schema=None) as batch_op:
        batch_op.add_column(sa.Column('cifs_srv_multichannel', sa.Boolean(), nullable=True))

    op.execute("UPDATE services_cifs SET cifs_srv_multichannel = 0")

    with op.batch_alter_table('services_cifs', schema=None) as batch_op:
        batch_op.alter_column('cifs_srv_multichannel', existing_type=sa.BOOLEAN(), nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('services_cifs', schema=None) as batch_op:
        batch_op.drop_column('cifs_srv_multichannel')

    # ### end Alembic commands ###
