"""Make `network_alias` `alias_address` and `alias_interface_id` NOT NULL

Revision ID: 503adaba1f57
Revises: b3c5a5321aef
Create Date: 2022-03-12 13:03:06.353120+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '503adaba1f57'
down_revision = 'b3c5a5321aef'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('network_alias', schema=None) as batch_op:
        batch_op.alter_column('alias_address',
               existing_type=sa.VARCHAR(length=45),
               nullable=False)
        batch_op.alter_column('alias_interface_id',
               existing_type=sa.INTEGER(),
               nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('network_alias', schema=None) as batch_op:
        batch_op.alter_column('alias_interface_id',
               existing_type=sa.INTEGER(),
               nullable=True)
        batch_op.alter_column('alias_address',
               existing_type=sa.VARCHAR(length=45),
               nullable=True)

    # ### end Alembic commands ###
