"""Cloud sync and rsync tasks job persistence

Revision ID: dc9ffe67a56f
Revises: f0e551d2defc
Create Date: 2022-09-20 10:51:03.199209+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'dc9ffe67a56f'
down_revision = 'f0e551d2defc'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('tasks_cloudsync', schema=None) as batch_op:
        batch_op.add_column(sa.Column('job', sa.TEXT(), nullable=False, server_default="null"))

    with op.batch_alter_table('tasks_rsync', schema=None) as batch_op:
        batch_op.add_column(sa.Column('rsync_job', sa.TEXT(), nullable=False, server_default="null"))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('tasks_rsync', schema=None) as batch_op:
        batch_op.drop_column('rsync_job')

    with op.batch_alter_table('tasks_cloudsync', schema=None) as batch_op:
        batch_op.drop_column('job')

    # ### end Alembic commands ###
