"""
Add community train to preferred train

Revision ID: 9694ff0f4de6
Revises: 1f39ac35aaeb
Create Date: 2023-02-24 03:20:08.436590+00:00

"""
import json

from alembic import op


# revision identifiers, used by Alembic.
revision = '9694ff0f4de6'
down_revision = '1f39ac35aaeb'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    conn = op.get_bind()

    official_catalog = dict(conn.execute("SELECT * FROM services_catalog WHERE label = 'OFFICIAL'").fetchone())
    preferred_trains = json.loads(official_catalog['preferred_trains'])
    if 'community' not in preferred_trains:
        preferred_trains.append('community')
        conn.execute("UPDATE services_catalog SET preferred_trains = ? WHERE label = ?", (
            json.dumps(preferred_trains), official_catalog['label']
        ))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    pass
    # ### end Alembic commands ###
