"""Cloud Backup

Revision ID: 1cdfe58ae329
Revises: bd5cd1d802c7
Create Date: 2023-06-07 08:46:16.249725+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1cdfe58ae329'
down_revision = 'bd5cd1d802c7'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('tasks_cloud_backup',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('description', sa.String(length=150), nullable=False),
    sa.Column('path', sa.String(length=255), nullable=False),
    sa.Column('attributes', sa.TEXT(), nullable=False),
    sa.Column('minute', sa.String(length=100), nullable=False),
    sa.Column('hour', sa.String(length=100), nullable=False),
    sa.Column('daymonth', sa.String(length=100), nullable=False),
    sa.Column('month', sa.String(length=100), nullable=False),
    sa.Column('dayweek', sa.String(length=100), nullable=False),
    sa.Column('pre_script', sa.Text(), nullable=False),
    sa.Column('post_script', sa.Text(), nullable=False),
    sa.Column('snapshot', sa.Boolean(), nullable=False),
    sa.Column('bwlimit', sa.TEXT(), nullable=False),
    sa.Column('include', sa.TEXT(), nullable=False),
    sa.Column('exclude', sa.TEXT(), nullable=False),
    sa.Column('transfers', sa.Integer(), nullable=True),
    sa.Column('args', sa.TEXT(), nullable=False),
    sa.Column('enabled', sa.Boolean(), nullable=False),
    sa.Column('job', sa.TEXT(), nullable=False),
    sa.Column('password', sa.TEXT(), nullable=False),
    sa.Column('credential_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['credential_id'], ['system_cloudcredentials.id'], name=op.f('fk_tasks_cloud_backup_credential_id_system_cloudcredentials')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_tasks_cloud_backup')),
    sqlite_autoincrement=True
    )
    with op.batch_alter_table('tasks_cloud_backup', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_tasks_cloud_backup_credential_id'), ['credential_id'], unique=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('tasks_cloud_backup', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_tasks_cloud_backup_credential_id'))

    op.drop_table('tasks_cloud_backup')
    # ### end Alembic commands ###
