"""Expand LDAP configuration options

Revision ID: abac40d29fc5
Revises: 08483670ae15
Create Date: 2023-12-04 15:22:07.122129+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'abac40d29fc5'
down_revision = '08483670ae15'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('directoryservice_ldap', schema=None) as batch_op:
        batch_op.add_column(sa.Column('ldap_base_user', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_base_group', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_base_netgroup', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_user_object_class', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_user_name', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_user_uid', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_user_gid', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_user_gecos', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_user_home_directory', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_user_shell', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_shadow_object_class', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_shadow_last_change', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_shadow_min', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_shadow_max', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_shadow_warning', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_shadow_inactive', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_shadow_expire', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_group_object_class', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_group_gid', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_group_member', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_netgroup_object_class', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_netgroup_member', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_netgroup_triple', sa.String(length=256), nullable=True))
        batch_op.add_column(sa.Column('ldap_server_type', sa.String(length=256), nullable=True))

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('directoryservice_ldap', schema=None) as batch_op:
        batch_op.drop_column('ldap_server_type')
        batch_op.drop_column('ldap_netgroup_triple')
        batch_op.drop_column('ldap_netgroup_member')
        batch_op.drop_column('ldap_netgroup_object_class')
        batch_op.drop_column('ldap_group_member')
        batch_op.drop_column('ldap_group_gid')
        batch_op.drop_column('ldap_group_object_class')
        batch_op.drop_column('ldap_shadow_expire')
        batch_op.drop_column('ldap_shadow_inactive')
        batch_op.drop_column('ldap_shadow_warning')
        batch_op.drop_column('ldap_shadow_max')
        batch_op.drop_column('ldap_shadow_min')
        batch_op.drop_column('ldap_shadow_last_change')
        batch_op.drop_column('ldap_shadow_object_class')
        batch_op.drop_column('ldap_user_shell')
        batch_op.drop_column('ldap_user_home_directory')
        batch_op.drop_column('ldap_user_gecos')
        batch_op.drop_column('ldap_user_gid')
        batch_op.drop_column('ldap_user_uid')
        batch_op.drop_column('ldap_user_name')
        batch_op.drop_column('ldap_user_object_class')
        batch_op.drop_column('ldap_base_netgroup')
        batch_op.drop_column('ldap_base_group')
        batch_op.drop_column('ldap_base_user')

    # ### end Alembic commands ###
