"""Add tables to support jbof and rdma.interface APIs

Revision ID: 5d9fd5c15c6d
Revises: 4c51b6b085a3
Create Date: 2023-12-21 18:34:24.980038+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5d9fd5c15c6d'
down_revision = '4c51b6b085a3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('rdma_interface',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('rdmaif_node', sa.String(length=120), nullable=False),
    sa.Column('rdmaif_ifname', sa.String(length=120), nullable=False),
    sa.Column('rdmaif_address', sa.String(length=45), nullable=False),
    sa.Column('rdmaif_prefixlen', sa.Integer(), nullable=False),
    sa.Column('rdmaif_mtu', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_rdma_interface')),
    sa.UniqueConstraint('rdmaif_node', 'rdmaif_ifname', name=op.f('uq_rdma_interface_rdmaif_node'))
    )
    op.create_table('storage_jbof',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('jbof_description', sa.String(length=120), nullable=True),
    sa.Column('jbof_index', sa.Integer(), nullable=False),
    sa.Column('jbof_uuid', sa.Text(), nullable=False),
    sa.Column('jbof_mgmt_ip1', sa.String(length=45), nullable=False),
    sa.Column('jbof_mgmt_ip2', sa.String(length=45), nullable=False),
    sa.Column('jbof_mgmt_username', sa.String(length=120), nullable=False),
    sa.Column('jbof_mgmt_password', sa.Text(), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_storage_jbof')),
    sa.UniqueConstraint('jbof_index', name=op.f('uq_storage_jbof_jbof_index')),
    sa.UniqueConstraint('jbof_uuid', name=op.f('uq_storage_jbof_jbof_uuid')),
    sqlite_autoincrement=True
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('storage_jbof')
    op.drop_table('rdma_interface')
    # ### end Alembic commands ###
