"""Add iSCSI target rel_tgt_id

Revision ID: 423e4c21c28d
Revises: ea024b5dff95
Create Date: 2024-04-04 20:18:24.354103+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '423e4c21c28d'
down_revision = 'ea024b5dff95'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('services_iscsitarget', schema=None) as batch_op:
        batch_op.add_column(sa.Column('iscsi_target_rel_tgt_id', sa.Integer(), nullable=True))
        batch_op.create_unique_constraint(batch_op.f('uq_services_iscsitarget_iscsi_target_rel_tgt_id'), ['iscsi_target_rel_tgt_id'])

    rel_tgt_id = 1
    conn = op.get_bind()
    for target in conn.execute("SELECT * FROM services_iscsitarget").fetchall():
        conn.execute("UPDATE services_iscsitarget SET iscsi_target_rel_tgt_id = ? WHERE id = ?", (rel_tgt_id, target['id']))
        rel_tgt_id += 1

    with op.batch_alter_table('services_iscsitarget', schema=None) as batch_op:
        batch_op.alter_column('iscsi_target_rel_tgt_id', nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('services_iscsitarget', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('uq_services_iscsitarget_iscsi_target_rel_tgt_id'), type_='unique')
        batch_op.drop_column('iscsi_target_rel_tgt_id')

    # ### end Alembic commands ###
