"""Cascade delete LAGG interface configuration when network interface configuration is deleted

Revision ID: 7b13df980355
Revises: 5654da8713d1
Create Date: 2024-08-16 10:01:54.594886+00:00

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7b13df980355'
down_revision = '5654da8713d1'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('network_lagginterface', schema=None) as batch_op:
        batch_op.drop_constraint('fk_network_lagginterface_lagg_interface_id_network_interfaces', type_='foreignkey')
        batch_op.create_foreign_key(batch_op.f('fk_network_lagginterface_lagg_interface_id_network_interfaces'), 'network_interfaces', ['lagg_interface_id'], ['id'], ondelete='CASCADE')

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('network_lagginterface', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_network_lagginterface_lagg_interface_id_network_interfaces'), type_='foreignkey')
        batch_op.create_foreign_key('fk_network_lagginterface_lagg_interface_id_network_interfaces', 'network_interfaces', ['lagg_interface_id'], ['id'])

    # ### end Alembic commands ###
